import MainView from "../components/main_view";

export async function getStaticProps() {
  const fs = require("fs");
  let POWERPANEL_INFO = {};

  try {
    let fileContent = fs.readFileSync("./data/powerpanel_info.json", "utf8");
    POWERPANEL_INFO = JSON.parse(fileContent);
  } catch (e) {
    console.log(e);
  }

  return {
    props: {
      POWERPANEL_INFO,
    },
  };
}
export default function Home({ POWERPANEL_INFO }) {
  return <MainView powerpanel_info={POWERPANEL_INFO} />;
}
